Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.richtext.controls
Class RichTextControlImpl

    java.lang.Object
      com.bea.apps.groupspace.controls.generic.ContentControlBaseImpl<T,Folder>
          com.bea.apps.groupspace.controls.generic.GroupSpaceContentControlImpl<T>
              com.bea.apps.groupspace.controls.generic.CM_ControlImpl<RichText>
                  com.bea.apps.groupspace.richtext.controls.RichTextControlImpl

All Implemented Interfaces
  CM_Control<RichText>, ContentControlBase<RichText,Folder>, GroupSpaceContentControl<RichText>, RichTextControl, Serializable

    public class RichTextControlImpl

extends CM_ControlImpl<RichText>
implements RichTextControl, Serializable

See Also
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface com.bea.apps.groupspace.controls.generic.ContentControlBase
`ContentControlBase.NodeSearchType, ContentControlBase.Params`

Field Summary

Fields inherited from class com.bea.apps.groupspace.controls.generic.CM_ControlImpl
`ccCmxControl, folderControl, topNode, topNodeName`

Fields inherited from class com.bea.apps.groupspace.controls.generic.GroupSpaceContentControlImpl
`ALL_TYPES, contentContext`

Fields inherited from class com.bea.apps.groupspace.controls.generic.ContentControlBaseImpl
`beanClass, contentFactory, DEFAULT_SEARCH_LOAD_SIZE, objectClassType, repoID, repoName, searchManager, typeManager`

Constructor Summary
`RichTextControlImpl()`

Method Summary
`RichText` | `create(String title, String description, String htmlBody, CommunityContent.Visibility visibility)`
`RichText` | `create(String title, String description, String htmlBody, CommunityContent.Visibility visibility, Folder parentFolder)` The parent folder is only relevant for Community and Private visibility.
`RichText` | `create(String title, String description, String htmlBody, CommunityContent.Visibility visibility, Folder parentFolder, ID[] relatedNodes, Set<CmxControl.PropertyPair> dynamicProps)` The parent folder is only relevant for Community and Private visibility.
`RichText` | `create(String title, String description, String htmlBody, CommunityContent.Visibility visibility, Folder parentFolder, Set<CmxControl.PropertyPair> dynamicProps)`
`protected RichText` | `createObject(Node node)` We're creating RichText from a Node
`ObjectClass` | `createType()`
`String` | `getHtmlBody(RichText richText)`
`void` | `onCreate()` Put any other init params here.

Methods inherited from class com.bea.apps.groupspace.controls.generic.CM_ControlImpl
`createFolder, getCommunityFolderNode, getDefaultFolder, getFolderByExpression, getPersonalContentFolder, getTopNode, getUserFolder`

Methods inherited from class com.bea.apps.groupspace.controls.generic.GroupSpaceContentControlImpl
`asSet, createFolder, findByDescription, findById, findByTitle, findContentById, findMany, getAll, getAllNodes, getCommunity, getCommunityAndPrivate, getCommunityFolder, getFolder, getImmediateChildrenAsPagedResult, getPersonal, getPrivate, getReferencingContent, getReferencingContent, getRelatedContent, move, promoteToCommunity, remove, removeAll, removeCommunityAndPrivate, removePersonal, removePrivate, update`

Methods inherited from class com.bea.apps.groupspace.controls.generic.ContentControlBaseImpl
`createObjectClass, createObjects, createObjects, findMany, findManyChildren, getAllChildren, getAllPropertyDefinitions, getDefaultStringValue, getImmediateChildren, getImmediateChildren, getObjectClass, getTopFolder, move, recurseRepository, remove, remove, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.bea.apps.groupspace.controls.generic.CM_Control
`getPersonalContentFolder`

Methods inherited from interface com.bea.apps.groupspace.controls.generic.GroupSpaceContentControl
`asSet, createFolder, createFolder, findByDescription, findByTitle, getCommunity, getCommunityAndPrivate, getCommunityFolder, getPersonal, getPrivate, getReferencingContent, getReferencingContent, getRelatedContent, promoteToCommunity, removeCommunityAndPrivate, removePersonal, removePrivate`

Methods inherited from interface com.bea.apps.groupspace.controls.generic.ContentControlBase
`createObjectClass, createObjects, createObjects, findById, findContentById, findMany, findMany, findManyChildren, getAllPropertyDefinitions, getDefaultStringValue, getFolder, getImmediateChildren, getImmediateChildren, getImmediateChildrenAsPagedResult, getObjectClass, getTopFolder, getTopNode, move, move, remove, remove, remove, removeAll, update, update`

Constructor Detail

### RichTextControlImpl

    public RichTextControlImpl()

Method Detail

### create

    public RichText create(String title,
                           String description,
                           String htmlBody,
                           CommunityContent.Visibility visibility)
                    throws NoSuchNodeException,
                           RepositoryException,
                           AuthorizationException,
                           CharacterCodingException

  Specified by:
    `create` in interface `RichTextControl`
  Returns
  Throws
    `NoSuchNodeException`
    `RepositoryException`
    `AuthorizationException`
    `CharacterCodingException`

### create

    public RichText create(String title,
                           String description,
                           String htmlBody,
                           CommunityContent.Visibility visibility,
                           Folder parentFolder)
                    throws NoSuchNodeException,
                           RepositoryException,
                           AuthorizationException,
                           CharacterCodingException

  Description copied from interface: `RichTextControl`
  The parent folder is only relevant for Community and Private visibility.

  Specified by:
    `create` in interface `RichTextControl`
  Returns
  Throws
    `NoSuchNodeException`
    `RepositoryException`
    `AuthorizationException`
    `CharacterCodingException`

### create

    public RichText create(String title,
                           String description,
                           String htmlBody,
                           CommunityContent.Visibility visibility,
                           Folder parentFolder,
                           Set<CmxControl.PropertyPair> dynamicProps)
                    throws NoSuchNodeException,
                           RepositoryException,
                           AuthorizationException,
                           CharacterCodingException

  Throws
    `NoSuchNodeException`
    `RepositoryException`
    `AuthorizationException`
    `CharacterCodingException`

### create

    public RichText create(String title,
                           String description,
                           String htmlBody,
                           CommunityContent.Visibility visibility,
                           Folder parentFolder,
                           ID[] relatedNodes,
                           Set<CmxControl.PropertyPair> dynamicProps)
                    throws NoSuchNodeException,
                           RepositoryException,
                           AuthorizationException,
                           CharacterCodingException

  Description copied from interface: `RichTextControl`
  The parent folder is only relevant for Community and Private visibility.

  Specified by:
    `create` in interface `RichTextControl`
  Returns
  Throws
    `NoSuchNodeException`
    `RepositoryException`
    `AuthorizationException`
    `CharacterCodingException`

### createType

    public ObjectClass createType()
                           throws NoSuchNodeException,
                                  RepositoryException,
                                  AuthorizationException

  Specified by:
    `createType` in class `ContentControlBaseImpl<RichText,Folder>`
  Throws
    `NoSuchNodeException`
    `RepositoryException`
    `AuthorizationException`

### createObject

    protected RichText createObject(Node node)

  We're creating RichText from a Node

  Specified by:
    `createObject` in class `ContentControlBaseImpl<RichText,Folder>`

### getHtmlBody

    public String getHtmlBody(RichText richText)
                       throws RepositoryException,
                              AuthorizationException

  Specified by:
    `getHtmlBody` in interface `RichTextControl`
  Throws
    `RepositoryException`
    `AuthorizationException`

### onCreate

    public void onCreate()
                  throws org.apache.beehive.controls.api.ControlException

  Put any other init params here. Note they can go on the control interface annotations. See the CM_Control.java file for an example of declaring parameters, and the CM_ControlImpl.jcs file for accessing those parameters

  Overrides:
    `onCreate` in class `CM_ControlImpl<RichText>`
  Throws
    `org.apache.beehive.controls.api.ControlException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved